## ocaml-hex 1.5.0

=== Makefile ===

.PHONY: build clean test install uninstall doc

build:
	dune build

test:
	dune runtest

install:
	dune install

uninstall:
	dune uninstall

doc:
	dune build @doc

clean:
	rm -rf _build *.install

## ocaml-hex 1.4.0

=== debian/changelog ===
ocaml-hex (1.4.0-1build6) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 15:18:49 +0100

ocaml-hex (1.4.0-1build5) jammy; urgency=medium

  * No-change rebuild for current ocaml ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 06:55:24 +0000

ocaml-hex (1.4.0-1build4) hirsute; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Dec 2020 21:39:29 +0100

ocaml-hex (1.4.0-1build3) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Dec 2020 21:23:31 +0100

ocaml-hex (1.4.0-1build2) hirsute; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Dec 2020 07:49:37 +0100

ocaml-hex (1.4.0-1build1) hirsute; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Nov 2020 10:25:46 +0100

ocaml-hex (1.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #969045)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 24 Sep 2020 09:08:32 +0200

=== debian/control ===
Source: ocaml-hex
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-dune,
 libcstruct-ocaml-dev,
 libbigarray-compat-ocaml-dev,
 dh-ocaml
Standards-Version: 4.5.0
Rules-Requires-Root: no
Section: ocaml
Homepage: https://github.com/mirage/ocaml-hex
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-hex
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-hex.git

Package: libhex-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Recommends:
 ocaml-findlib
Description: library providing hexadecimal converters (dev)
 Hex is a minimal library providing hexadecimal converters.
 .
 This package contains the development stuff needed to use the
 hex library in your programs.

Package: libhex-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Description: library providing hexadecimal converters (runtime)
 Hex is a minimal library providing hexadecimal converters.
 .
 This package contains the runtime libraries for programs using
 hex.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p hex

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/hex/LICENSE.md

override_dh_auto_test:
	dune runtest -p hex

=== debian/watch ===
version=3
https://github.com/mirage/ocaml-hex/releases .*hex-v?([0-9.]+)\.tbz

## ocaml-hex 1.5.0

=== debian/changelog ===
ocaml-hex (1.5.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Set upstream metadata fields: Repository-Browse.
  * debian/watch: Use GitHub /tags rather than /releases page.
  * Update standards version to 4.6.1, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 05 Feb 2023 04:48:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ocaml-hex
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
@@ -11,7 +10,7 @@
  libcstruct-ocaml-dev,
  libbigarray-compat-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/mirage/ocaml-hex

=== debian/watch ===
version=4
https://github.com/mirage/ocaml-hex/tags .*hex-v?([0-9.]+)\.tbz
